Withdraw your reaction from a post
DELETE /api/member/posts/{postId}/reaction. Withdraw your reaction from a post. Headless LMS Posts API reference.
For anyone who can read the post, while reactions are on for it (403 otherwise). Returns the new counts.
Path Parameters
postId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/member/posts/string/reaction"{ "reactions": { "property1": -9007199254740991, "property2": -9007199254740991 }, "viewerReaction": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Turn reactions on or off for a post in a space you moderate PUT
PUT /api/member/posts/{postId}/reactions. Turn reactions on or off for a post in a space you moderate. Headless LMS Posts API reference.
Set your reaction on a post PUT
PUT /api/member/posts/{postId}/reaction. Set your reaction on a post. Headless LMS Posts API reference.